Name:           ecore
Version:        0.9.9.023
Release:        1%{?dist}
Summary:        An event and X abstraction layer

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.enlightenment.org/Libraries/Ecore/
Source0:        http://enlightenment.freedesktop.org/files/%{name}-%{version}.tar.gz
Patch:          ecore-0.9.9.023-novera.patch
Patch1:         ecore-0.9.9.023-noex.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  edb-devel eet-devel evas-devel directfb-devel
BuildRequires:  curl-devel libjpeg-devel
BuildRequires:  xorg-x11-devel

%description
Ecore is the core event abstraction layer and X abstraction layer that makes
doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
handlers fast, optimized, and convenient. It's a separate library so anyone
can make use of the work put into Ecore to make this job easy for applications.

%package        devel
Summary:        Development libraries for ecore
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The ecore-devel package contains libraries and header files for developing
ecore applications.

%prep
%setup -q
%patch -p 1 -b .novera
%patch1 -p 1 -b .noex
rm examples/Makefile*

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-PLAIN README
%{_bindir}/*_test
%{_datadir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples
%{_bindir}/*config
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sun Feb  5 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.9.023-1
- Initial RPM release
